Page MenuHomePhabricator

Rewrite UploadWizard with mustache templates
Closed, DeclinedPublic

Description

After looking at UploadWizard I can see a lot of the code involves string stitching. Moving a lot of this into templates will help make the code a lot easier to read/maintain and make it much easier for us to rewrite this in oojs ui (removing jquery ui dependencies) and eventually make this work on mobile.

Related Objects

StatusAssignedTask
OpenNone
Declinedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolvedphuedx
Resolvedmatmarex
Resolvedmatmarex
ResolvedPrtksxna
ResolvedAnomie
ResolvedMarkTraceur
Resolvedmatmarex
ResolvedMarkTraceur
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
ResolvedMarkTraceur
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolved Jdlrobson

Event Timeline

Jdlrobson updated the task description. (Show Details)
Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson added a project: UploadWizard.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a project: Multimedia. · View Herald TranscriptApr 19 2015, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson set Security to None.Apr 19 2015, 7:28 PM
Jdlrobson added a subscriber: kaldari.

Change 205269 had a related patch set uploaded (by Jdlrobson):
Commence introducing templating to UploadWizard

https://gerrit.wikimedia.org/r/205269

Change 206493 had a related patch set uploaded (by Jdlrobson):
WIP: Commence introducing templating to UploadWizard

https://gerrit.wikimedia.org/r/206493

Change 205269 abandoned by Jdlrobson:
Commence introducing templating to UploadWizard

Reason:
See https://gerrit.wikimedia.org/r/#/c/206493/ still working on it though.
Yes Bartosz this will make your life a loadddd easier in moving to oojs ui.

https://gerrit.wikimedia.org/r/205269

Change 206493 abandoned by Jdlrobson:
WIP: Commence introducing templating to UploadWizard

https://gerrit.wikimedia.org/r/206493

Should close WONTFIX?

Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptJul 29 2015, 5:00 PM
Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:55 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 7:02 PM
matmarex closed this task as Declined.Oct 16 2015, 6:05 PM
matmarex claimed this task.